<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author 		lorena.salamanca
@modified		christian.rodriguez - Se arreglan estilos y se integra con MB
@version		1.0
@description	Administrar Información de Contacto de Predios
                Este form se llama desde el caso de uso CU-SA-AC-109 (Era CU-SA-AC-110)

@param			managedBeanParam nombre del managedBean que tiene los métodos para guardar 
                y buscar el solicitante
@param			contactoParam objeto de tipo Solicitante usado apra guardar la información 
                del contacto
-->

<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:p="http://primefaces.org/ui" id="informacionContacto">

    <p:fieldset>

        <p:messages id="msgEditarContacto" showDetail="false"
                    globalOnly="false" />

        <legend>
            <h:outputLabel value="Datos del contacto" styleClass="legendTitle" />
        </legend>

        <h:panelGrid columns="4" cellspacing="7"
                     columnClasses="colPequena, colMediana, colPequena, colMediana">
            <h:panelGrid columns="2">
                <h:outputLabel value="Tipo de documento:" for="tipoDocumento"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            </h:panelGrid>
            <h:panelGrid columns="2">
                <h:selectOneMenu id="tipoDocumento" label="Tipo de documento"
                                 required="true" value="#{contactoParam.tipoIdentificacion}">
                    <f:selectItems value="#{general.personaTipoIdentificacionNoNitCV}" />
                </h:selectOneMenu>
                <p:message for="tipoDocumento" display="icon" />
            </h:panelGrid>

            <h:panelGrid columns="2">
                <h:outputLabel value="Número de documento:" for="numDocumento"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            </h:panelGrid>
            <h:panelGrid columns="4">
                <h:inputText value="#{contactoParam.numeroIdentificacion}"
                             id="numDocumento" label="Número de documento" maxlength="50"
                             required="true">
                </h:inputText>
                <p:message for="tipoDocumento" display="icon" />
                <p:commandButton icon="ui-icon-search" title="Buscar :D"
                                 action="#{managedBeanParam.buscarYCargarContacto}"
                                 onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();"
                                 update=":informacionContacto"
                                 process="@this, :informacionContacto:numDocumento, :informacionContacto:tipoDocumento" />
            </h:panelGrid>
        </h:panelGrid>

        <h:panelGrid columns="4" cellspacing="7"
                     columnClasses="colPequena, colMediana, colPequena, colMediana">

            <h:panelGroup>
                <h:outputLabel value="Primer nombre:" styleClass="outputLabelStyle" />
                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
            </h:panelGroup>
            <h:panelGrid columns="2">
                <h:inputText value="#{contactoParam.primerNombre}" size="30"
                             label="Primer nombre" id="primerNombre" required="true" />
                <p:message for="primerNombre" display="icon" />
            </h:panelGrid>

            <h:outputLabel value="Segundo nombre:" styleClass="outputLabelStyle" />
            <h:inputText value="#{contactoParam.segundoNombre}" size="30" />

            <h:panelGroup>
                <h:outputLabel value="Primer apellido:"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
            </h:panelGroup>
            <h:panelGrid columns="2">
                <h:inputText value="#{contactoParam.primerApellido}" size="30"
                             label="Primer apellido" id="primerApellido" required="true" />
                <p:message for="primerApellido" display="icon" />
            </h:panelGrid>

            <h:outputLabel value="Segundo apellido:"
                           styleClass="outputLabelStyle" />
            <h:inputText value="#{contactoParam.segundoApellido}" size="30" />

            <h:outputLabel value="E-mail:" styleClass="outputLabelStyle" />
            <h:inputText value="#{contactoParam.correoElectronico}" size="30" />

            <h:outputLabel value="Teléfono:" styleClass="outputLabelStyle" />
            <p:outputPanel>
                <h:inputText value="#{contactoParam.telefonoPrincipal}" size="10" />
                <h:outputLabel value=" Ext.: " styleClass="outputLabelStyle" />
                <h:inputText value="#{contactoParam.telefonoPrincipalExt}" size="5" />
            </p:outputPanel>


            <h:outputLabel value="Celular:" styleClass="outputLabelStyle" />
            <h:inputText value="#{contactoParam.telefonoCelular}" size="15" />
        </h:panelGrid>
    </p:fieldset>

    <p:spacer height="10" width="0" />

    <h:panelGrid columns="1" cellspacing="7">
        <p:commandButton value="Guardar" icon="ui-icon-disk"
                         action="#{managedBeanParam.guardarContacto}"
                         onstart="statusDialog2.show();"
                         oncomplete="statusDialog2.hide(); 
                         handleCompleteSIC(xhr, status, args, administrarInfoContactoWV, false);"
                         update=":informacionContacto, 
                         :informacionContactosForm:prediosContactosDT,
                         :informacionContactosForm:contactosPredioDT" />
    </h:panelGrid>
</h:form>
